package com.jobs.service;

import com.jobs.feign.AccountClient;
import com.jobs.feign.StockClient;
import com.jobs.mapper.OrderMapper;
import com.jobs.pojo.Order;
import io.seata.spring.annotation.GlobalTransactional;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Slf4j
@Service
public class OrderService {

    @Autowired
    private OrderMapper orderMapper;
    @Autowired
    private AccountClient accountClient;
    @Autowired
    private StockClient stockClient;

    @GlobalTransactional
    public Long createOrder(Order order) {
        //创建订单
        orderMapper.insert(order);
        //减钱
        accountClient.minus(order.getUserId(), order.getMoney());
        //减库存
        stockClient.minus(order.getGoodsId(), order.getCount());
        //返回订单号
        return order.getId();
    }
}
